import {
  req
} from "../utils/req";
import {
  config
} from "../config/index"
// 获取合作伙伴
function getPartner(data) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/partner/list/${config.meetID}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        data.success && data.success(res.data)
        resolve(res.data);
      }
    });
  })
}

export default {
  getPartner
}