// pages/detail/guests.js
import api from "../../api/index"
const {
  globalData: {
    systemInfo: {
      windowWidth
    }
  }
} = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    detail : {}
  },
  imageload(e){
    const {
      detail: {
        width,
        height
      }
    } = e;
    const rWidth = windowWidth * 0.3
    const rheight = height / width * rWidth;
    const item = JSON.parse(JSON.stringify(this.data.detail));
    item.width = rWidth;
    item.height = rheight;
    this.setData({
      detail: item
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    api.getGuestsDetail({id: options.id}).then(r=>{
      this.setData({
        detail: r || {}
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})